### Constructor

# EDataServer SourceRegistryWatcher new

since: 3.26

#### Declaration [src]

    ESourceRegistryWatcher*
    e_source_registry_watcher_new (
      ESourceRegistry* registry,
      const gchar* extension_name
    )

#### Description [src]

Creates a new `ESourceRegistryWatcher` instance.

The `extension_name` can be used as a complementary filter to `ESourceRegistryWatcher::filter` signal.

Available since: 3.26

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

`extension_name`

  Type: `const gchar*`

  Optional extension name to filter sources with, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ESourceRegistryWatcher`

An `ESourceRegistryWatcher`.

The caller of the function takes ownership of the data, and is responsible for freeing it.